Bug 427626 - Strange mouse over behavior when adding or removing a package
Strange mouse over behavior when adding or removing a package
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-05 13:01 EST by Paul Sorensen
Modified: 2008-05-28 15:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-28 15:27:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of duplicate package display (61.08 KB, image/png)
2008-01-06 00:52 EST, Jon Stanley
no flags Details

  None (edit)
Description Paul Sorensen 2008-01-05 13:01:01 EST
Description of problem:
If you move the mouse over a package the name changes. What might be the root 
cause of this, is that the package name (exact version) is duplicated in the
list. The strange mouse over behvior happens on the duplicated entry. When the
change happens, it becomes variously the duplicated package, name before or name
after.

The other thing I have noticed, packages are no longer sorted as they were in
previous versions.

Version-Release number of selected component (if applicable):
pirut-1.3.28-1.fc8

How reproducible:
Every time. Have seen it in other places besides as how I indicated in the steps
below. I suspect where this may also depend on the currently installed packages
and what not.


Steps to Reproduce:
1. Click Add/Remove Software 
2. Select Nase System
3. Select System tools
4. Click optional packages
5. Look for Bochs-2.3.5-1.fc8.x86_64
6, You may or may not see the duplicated entry, but running the mouse over the
area will cause the duplication and or cause the name to change variously.

  
Actual results:
You will probably see a duplicate name in the list. The second one is the one
seems to change. I see the name change variously between Bochs, cabextract or
catfish. 

Expected results:
Correct listing without duplicates and name changes


Additional info:
Comment 1 Jon Stanley 2008-01-06 00:51:24 EST
Reproduced in a vmware guest.  Screenshot attached.
Comment 2 Jon Stanley 2008-01-06 00:52:38 EST
Created attachment 290900 [details]
screenshot of duplicate package display
Comment 3 Jon Stanley 2008-01-06 00:58:57 EST
I'm wondering if bug 426901 complaining about the same behavior in anaconda is
somehow related.  I couldn't reproduce that one, though.
Comment 4 Jon Stanley 2008-01-06 15:20:45 EST
Changing hardware to all since my reproducer was done in i386.  I just noticed that.
Comment 5 Jeremy Katz 2008-05-28 15:27:55 EDT
This isn't going to get changed at this point as pirut is pretty much entirely
EOL'd and only getting critical fixes for older releases.  In Fedora 9 and
later, any such concerns can be filed against PackageKit/gnome-packagekit.

Note You need to log in before you can comment on or make changes to this bug.